<span class="header-notifications-btn-separator header-userSeparator" style="display: none">|</span>
<a class="header-notifications-btn header-messagesIconContainer" style="display: none" href="#">
  <i class="fas fa-bell header-notifications-btn__icon header-notifications-btn__icon--on"></i>
  <i class="far fa-bell-slash header-notifications-btn__icon header-notifications-btn__icon--off"></i>
  <span class="header-messagesMailText">Notificaciones</span>
</a>
<script>
  document.addEventListener('appboy::loaded', function (event) {
    var prefix = 'header-notifications-btn';
    var selector = '.' + prefix;
    var element = document.querySelector(selector);

    if (typeof appboy !== 'undefined' && !event.detail.isSafari &&
        event.detail.enabled && appboy.isPushSupported() && element &&
        typeof event.detail.togglePush === 'function') {
      var iconOn = document.querySelector(selector + ' ' + selector + '__icon--on');
      var iconOff = document.querySelector(selector + ' ' + selector + '__icon--off');
      iconOn.style.display = 'none';
      iconOff.style.display = 'flex';
      element.style.display = 'flex';
      document.querySelector(selector + '-separator').style.display = 'flex';

      function toggle (firstCall) {
        event.detail.togglePush(firstCall === true, function () {
          iconOff.style.display = 'none';
          iconOn.style.display = 'flex';
        }, function () {
          iconOn.style.display = 'none';
          iconOff.style.display = 'flex';
        });
      }

      element.addEventListener('click', toggle);
      toggle(true);
    }
  });
</script>